function [res] = computeHt(estParams , t)
% 
%  function [res] = computeHt(estParams , t)
%  estParams   contains the test information
%  t                    dataset length
%
%
% provides the treshold h_t in [Ross2011]
%
% [Ross 2011] G. J. Ross, D. K. Tasoulis, N. M. Adams - Nonparametric Monitoring of Data Streams for Changes in Location and Scale, Technometrics, 2011 [pdf] [http]

% use pre-computed thresholds
res = estParams.thresholds(t);

% switch lower(estParams.testType)
%     case{'lepage', 'lp'}
%         
%         switch lower(estParams.ARL0)
%             case 1000
%                 t0 = 1.82e1;
%                 t1 = -6.43e1;
%                 t3 = -7.72e4;
%                 t5 = 1.50e8;
%                 t7 = -1.01e11;
%                 t9 = 2.11e13;
%                 
%             case 10000
%                 t0 = 2.45e1;
%                 t1 = -1.5e2;
%                 t3 = -1.2e3;
%                 t5 = -1.85e7;
%                 t7 = 6.66e9;
%                 t9 = -4.74e11;
%                 
%             case 20000
%                 t0 = 2.64e1;
%                 t1 = -1.87e2;
%                 t3 = -7.35e4;
%                 t5 = -1.70e8;
%                 t7 = 1.04e11;
%                 t9 = -2.02e13;
%         end
%         
%         % compute the treshold as the polinomial value
%         res = t0 + t .^ (-1) .* t1 + t .^ (-3) .* t3 + t .^(-5) .* t5 + t .^(-7) .* t7 + t .^ (-9) .* t9;
%         
%     case{'mood', 'md'}
%         
%         switch lower(estParams.ARL0)
%             case 1000
%                 t0 = 3.6;
%                 t1 = -3.55;
%                 t3 = 5.79e2;
%                 t5 = -2.33e6;
%                 t7 = 8.69e8;
%                 t9 = 3.09e10;
%                 
%             case 10000
%                 t0 = 4.25;
%                 t1 = -8.28;
%                 t3 = 5.9e2;
%                 t5 = -6.77e6;
%                 t7 = 4.98e9;
%                 t9 = -1.01e12;
%                 
%             case 20000
%                 t0 = 4.44;
%                 t1 = -1.21e1;
%                 t3 = 8.05e3;
%                 t5 = -1.53e7;
%                 t7 = 8.46e9;
%                 t9 = -1.46e12;
%         end
%         
%         % compute the treshold as the polinomial value
%         res = t0 + t .^ (-1) .* t1 + t .^ (-3) .* t3 + t .^(-5) .* t5 + t .^(-7) .* t7 + t .^ (-9) .* t9;
%         
%     case{'kolmogorov-smirnov','ks'}
%         
%     case{'cramer-von-mises','cvm'}
%         
%     case{'mann-whitney','mw'}
%         
%     case{'student','sd'}
%         
% end
% 
% 

