function  [TStatistic] = lepageStatistic(A , B)
% function  [TStatistic] = lepageStatistic(A , B)
%
%
% [REFERENCE]
% G. J. Ross, D. K. Tasoulis, N. M. Adams - Nonparametric Monitoring of Data Streams for Changes in Location and Scale, Technometrics, 2011 [pdf] [http]
%
% Giacomo Boracchi
% Politecnico di Milano
% giacomo.boracchi@polimi.it 
%
% Revision Notes
% February 2013   First Release
% 

% T1: Mann-Whitney Statistic
T1 = mwStatistic(A , B);

% T2: Mood Statistic
T2 = moodStatistic(A , B);

%% compute the Lepage statistic used in Ross 2011
TStatistic = T1^2+ T2^2 ;








