function  [TStatistic] = studentStatistic(A , B)
% function  [TStatistic] =  studentStatistic(A , B)
%
%
% Reference 
%
% Giacomo Boracchi
% Politecnico di Milano
% giacomo.boracchi@polimi.it 
%
% Revision Notes
% February 2013   First Release
 
% initialization
A  =  A(~isnan(A));
B  =  B(~isnan(B));
A  =  A(:);
B  =  B(:);

m = numel(A);
n = numel(B);
N =  n + m;

%
%% Compute the test statistic
%
 
mu1 = mean(A);
mu2 = mean(B);

V1 = sum((A - mu1) .^ 2);
V2 = sum((B - mu2) .^ 2);

sigma2 = (V1 + V2) / (N - 2);

TStatistic = sqrt(n * m / N)* abs(mu1 - mu2) / sqrt(sigma2);

