function [mu_hat , sigmaEst] = zeroOrderFitParabolicWeights(X , sigma_noise)
%
% perform zero order polynomial fit with weights distributed as a parabola centered in the middle of the interval
%
% Giacomo Boracchi
% Politecnico di Milano
% Novembre 2010
% giacomo.boracchi@polimi.it


totSamples = size(X , 2);

% prepare the window weights (1D)
xx = [0 : totSamples - 1];
W = 4 * (xx ./ (totSamples -1) ) .^ 2 - 4 * (xx ./ (totSamples -1)) + 1;
W = W ./ sum(W(:));

% faccio la stessa roba su ogni riga di X per gestire correttamente dati multimediali
for ii = 1 : size(X , 1)
    mu_hat(ii) = sum(W .* X);
    sigmaEst(ii) = sigma_noise * sqrt(sum(W.^2));
end

% mu_hat(ii) = (mu_hat(ii - 1) * (ii - 1) +  X(ii)) / ii;
